When I attempt to install System Mechanic, I receive a message stating that I cannot install an older version over a newer version. How do I proceed with installation?

When I attempt to install System Mechanic, I receive a message stating that I cannot install an older version over a newer version. How do I proceed with installation?

Question

When I attempt to install System Mechanic, I receive a message stating that I cannot install an older version over a newer version. How do I proceed with installation?

Answer

If you have a newer version of System Mechanic currently installed you must first uninstall it if you wish to install an older version of the product.

If you are not intentionally installing an older version, ensure that you have the latest System Mechanic installation file.

To download the latest version from iolo technologies Web site, click here.

 

Ips

Topic Information
  • Topic #: 16098-72
  • Date Created: 07/05/2012
  • Last Modified Since: 08/24/2016
  • Viewed: 3060